const __VLS_props = withDefaults(defineProps(), { asideWidth: '24rem', dense: false }); // @ts-ignore
const __VLS_defaults = { asideWidth: '24rem', dense: false };
const __VLS_ctx = {
    ...{},
    ...{},
    ...{},
};
let __VLS_components;
let __VLS_intrinsics;
let __VLS_directives;
/** @type {__VLS_StyleScopedClasses['ks-crud-workspace__body']} */ ;
/** @type {__VLS_StyleScopedClasses['ks-crud-workspace__body']} */ ;
/** @type {__VLS_StyleScopedClasses['has-aside']} */ ;
__VLS_asFunctionalElement1(__VLS_intrinsics.section, __VLS_intrinsics.section)({
    ...{ class: "ks-crud-workspace" },
    ...{ class: ({ dense: __VLS_ctx.dense }) },
    ...{ style: ({ '--ks-crud-aside': __VLS_ctx.asideWidth }) },
});
/** @type {__VLS_StyleScopedClasses['ks-crud-workspace']} */ ;
/** @type {__VLS_StyleScopedClasses['dense']} */ ;
if (__VLS_ctx.$slots.toolbar) {
    __VLS_asFunctionalElement1(__VLS_intrinsics.header, __VLS_intrinsics.header)({});
    var __VLS_0 = {};
}
__VLS_asFunctionalElement1(__VLS_intrinsics.div, __VLS_intrinsics.div)({
    ...{ class: "ks-crud-workspace__body" },
    ...{ class: ({ 'has-aside': __VLS_ctx.$slots.aside }) },
});
/** @type {__VLS_StyleScopedClasses['ks-crud-workspace__body']} */ ;
/** @type {__VLS_StyleScopedClasses['has-aside']} */ ;
__VLS_asFunctionalElement1(__VLS_intrinsics.main, __VLS_intrinsics.main)({});
var __VLS_2 = {};
if (__VLS_ctx.$slots.aside) {
    __VLS_asFunctionalElement1(__VLS_intrinsics.aside, __VLS_intrinsics.aside)({});
    var __VLS_4 = {};
}
if (__VLS_ctx.$slots.actions) {
    __VLS_asFunctionalElement1(__VLS_intrinsics.footer, __VLS_intrinsics.footer)({});
    var __VLS_6 = {};
}
// @ts-ignore
var __VLS_1 = __VLS_0, __VLS_3 = __VLS_2, __VLS_5 = __VLS_4, __VLS_7 = __VLS_6;
// @ts-ignore
[dense, asideWidth, $slots, $slots, $slots, $slots,];
const __VLS_base = (await import('vue')).defineComponent({
    __typeProps: {},
    props: {},
});
const __VLS_export = {};
export default {};
